/v1/workspaces/{workspace_id}/smtp-configAuthRevert the workspace to ProductCraft Mail's own sending
Path parameters
workspace_id*string · uuidId of the workspace.
Response · 204
Workspace-default SMTP config deleted.
Example
Request
DELETE https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/smtp-config
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
await mail.smtpConfig.reset();mail.smtpConfig.reset(options?): void